org.bouncycastle.openssl

## Class PEMWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.BufferedWriter
    - - org.bouncycastle.openssl.PEMWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class PEMWriter
    extends java.io.BufferedWriter

General purpose writer for OpenSSL PEM objects.

### Field Summary

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`PEMWriter(java.io.Writer out)` Base constructor.
`PEMWriter(java.io.Writer out, java.lang.String provider)`

### Method Summary

Methods
`void` `writeObject(java.lang.Object o)`
`void` `writeObject(java.lang.Object obj, java.lang.String algorithm, char[] password, java.security.SecureRandom random)`

### Methods inherited from class java.io.BufferedWriter

`close, flush, newLine, write, write, write`

### Methods inherited from class java.io.Writer

`append, append, append, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PEMWriter

    public PEMWriter(java.io.Writer out)

Base constructor.

Parameters:
  `out` - output stream to use.

#### PEMWriter

    public PEMWriter(java.io.Writer out,
             java.lang.String provider)

### Method Detail

#### writeObject

    public void writeObject(java.lang.Object o)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### writeObject

    public void writeObject(java.lang.Object obj,
                   java.lang.String algorithm,
                   char[] password,
                   java.security.SecureRandom random)
                     throws java.io.IOException

Throws:
  `java.io.IOException`